import { GraphQLESTreeNode } from './estree-ast';
import { ASTNode, TypeInfo } from 'graphql';
export declare function convertToESTree<T extends ASTNode>(node: T, typeInfo?: TypeInfo): {
    rootTree: GraphQLESTreeNode<T, false>;
    comments: import("estree").Comment[];
};
